﻿init:

    
    image town = "images/bg_town.jpg"
    image graf = "images/bg_town02.jpg"
    image door = "images/bg_door.jpg"
    image door02 = "images/bg_door02.jpg"
    image catintro01 = "images/bg_cat_ext01.jpg"
    image catintro02 = "images/bg_cat_ext06.jpg"
    image catfree = "images/bg_cat_ext02.jpg"
    image catfree02 = "images/bg_cat_ext04.jpg"
    image cattalking01 = "images/bg_cat_ext03.jpg"
    image cattalking02 = "images/bg_cat_ext08.jpg"
    image catscared = "images/bg_cat_ext05.jpg"
    image cathappy = "images/bg_cat_ext07.jpg"
    image catcollide = "images/bg_cat_ext09.jpg"
    image catthinking = "images/bg_cat_int01.jpg"
    image catsad = "images/bg_cat_int02.jpg"
    image catexit01 = "images/bg_cat_leaving01.jpg"
    image catexit02 = "images/bg_cat_leaving02.jpg"
    image autumn = "images/bg_plants01.jpg"
    image summer = "images/bg_plants02.jpg"
    image spring = "images/bg_plants03.jpg"
    image dino = "images/bg_dinosaur.jpg"
    
    image splash = "images/logo.png"
    image end = "images/end.png"

    $ d = Character(what_color="#8b591e")
    
    
    $ style.create('m', 'default')
    $ style.m.color = "#4f2b00" 
    
    $_game_menu_screen = "_quit_prompt"

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.5)

    show splash
    with fade
    with Pause(2.0)

    scene black
    with fade
    with Pause(1.0)

    return

label start:
    scene town with fade
    "I was walking through the tourist part of town one time, when I found something unusual."
    $ config.rollback_enabled = False
    "The first thing you must know about the city I live in, is that the graffiti is a little atypical."
    "(As an example, there is one person who writes bogus maths formulas on boarded up shops.)"
    scene graf with dissolve
    "So, when I found this written on the side of one of the old buildings, I took a photo."
    "I think... {p=0.5}it's a little trite."
    
label part1:
    scene black with fade
    "Last weekend, I was sitting around at home, doing not very much at all..."
    scene door with dissolve
    "...when I heard something at the door."
    scene door02 with dissolve
    d "\"Look down,\" {=m}something mewed.{/=m}" 
    scene catintro01 with dissolve
    d "\"Down here!\""
    scene catintro02 with dissolve
    d "\"Oh, hello.\""
    d "\"Can I come in?\""
    d "\"Uhm...\""
    menu:
        "Yes.":
            d "\"Yes, OK.\""
            "I am a sucker for cats. I can't help it."
            scene black with fade
            "So I let him in, because who can say no to a cat?"
            jump part2
        
        "Who are you?":
            d "\"Uh, do I know you?\""
            d "\"Ah, no! Where are my manners."
            jump part3
            
label part2:
    scene catthinking with fade
    "Straight away, he jumped up onto the window sill, and stared outside."
    d "\"Can I get you anything?\" {=m}I asked.{/=m}"
    d "\"No, I'm fine.\""
    d "{=m}I waited a while before continuing. {/=m}\"So, did you want something?\""
    scene catsad with dissolve
    d "\"Ah, yeah, right. This is a bit odd, but I used to live here.\""
    d "\"Really?\""
    d "\"Yes, it was a while ago though.\""
    scene catthinking with dissolve
    "He was silent for a while."
    d "\"Do you... ever miss summer?\" {=m}he asked.{/=m}"
    d "\"Hmm?\""
    scene summer with dissolve
    d "\"I mean, like the ones when you were a kid.\""
    scene catthinking with dissolve
    d "\"Well..."
    menu:
        "Yes.":
            d "\"Yes, sometimes.\""
            scene catsad with dissolve
            d "\"Me too,\" {=m}he sighed.{/=m} \"I miss having that much time and freedom.\""
            d "\"It's not the same when you're an adult. Summer is more of a nuisance than anything."
            d "It's too hot, and you don't have time to enjoy it.\""
            d "\"That's a shame.\""
            d "\"Yeah. A little,\" {=m}I agreed.{/=m}"
            scene catfree with dissolve
            d "\"I wish that I could have kept the freedom I had when I was younger.\""
            scene catthinking with dissolve
            d "\"But..."
            menu:
                "You can.":
                    d "\"You can, can't you? You are a cat.\""
                    d "\"Haha, even cats have worries!\""
                    d "\"Hmm, I guess.\""
                    scene cathappy with dissolve
                    d "\"The sense of freedom from lack of responsibility is appealing now."
                    scene catsad with dissolve
                    d "But, well, responsibility isn't something I can just drop.\""
                    
                "Things change.":
                    d "\"Things change though, you can't expect them to stay the same.\""
                    d "\"You're right.\""
                    d "\"Does it have to be a bad thing?\""
                    d "\"No, it doesn't have to be.\""
                    d "\"But it's not always a good thing, I suppose.\""
                    scene catsad with dissolve
                    "He was quiet for a while."
            d "\"I think I am trying to hang on to something which maybe didn't exist.\""
            d "\"What do you mean?\" {=m}I asked.{/=m}"
            d "\"This sense of nostalgia is probably clouding my judgement. I'm not sure if the past was actually all that great.\""
            jump part4
            
        
        "No.":
            d "\"No, not really.\""
            d "\"Oh, how come?\""
            d "{=m}I didn't want to answer, but he seemed interested.{/=m} \"I just think that it's overrated."
            d "That sort of nostalgia, I mean.\""
            scene catsad with dissolve
            d "\"Ah, I suppose...\""
            d "{=m}I thought I'd made him a little sad.{/=m} \"Well, I didn't have much freedom when I was young.\""
            d "\"Not even a little?\""
            d "\"Well,\" {=m}I pondered,{/=m} \"compared to being an adult, no.\""
            scene catthinking with dissolve
            d "\"Ah.\""
            d "\"It's better..."
            menu:
                "Being a teenager.":
                    d "\"...being a teenager. Well, it was alright.\""
                    scene cathappy with dissolve
                    d "\"Oh that's true. When I was a teenager, I had a good bunch of friends."
                    d "It was the first time I could be myself around anyone."
                    d "We had a lot of secrets we kept from adults too.\""
                    d "\"Anything serious?\" {=m}I asked.{/=m}"
                    scene catthinking with dissolve
                    d "\"Well, they seemed less serious because we kept them to ourselves."
                    d "If our parents had found out, it would have been the end!\""
                    
                
                "Being an adult.":
                    d "\"...being an adult.\""
                    scene catsad with dissolve
                    d "\"Really?\" {=m}he seemed intrigued.{/=m}"
                    d "\"Yes, I can do pretty much anything I want.\""
                    d "\"But you have to be responsible.\""
                    d "\"I can deal with that.\" {=m}This was getting tiresome.{/=m}"
                    d "\"I'm not sure that I like being responsible. Not all the time, anyway.\""
                    d "\"What do you mean?\""
                    scene catfree02 with dissolve
                    d "\"I just... miss the indulgences of youth.\""
            scene catthinking with dissolve
            "He was quiet for a while."
            "I pottered around a little, made some tea and things like that."
            "I sat down again, and he continued."
            d "\"I think there's a definite point one passes, when one becomes an adult.\""
            d "\"Uh, of course.\""
            d "\"I miss being able to be self-destructive, and have it not affect anyone, even myself.\""
            d "\"I-I'm not sure I follow.\""
            d "\"Oh, I mean, when you're young you can mess up as much as you like, and still end up OK."
            d "Whereas, messing up as an adult can cause a lot more problems.\""
            jump part4

label part3:
    scene cattalking02 with dissolve
    "He introduced himself, but I am terrible with names, so forgot it within five minutes."
    d "{=m}He continued,{/=m} \"...And that's a good question.\""
    d "\"What is?\""
    d "\"Asking who I am. Actually, that's why I'm here."
    scene cattalking01 with dissolve
    d "I used to live here when I was younger, you see. I wondered if I could find an answer if I came back.\""
    d "\"I'm not sure...\""
    menu:
        "What do you mean?":
            d "\"What do you mean?\""
            d "\"Hmm?\""
            d "\"How can you not know who you are?\" {=m}I prodded.{/=m}"
            scene cattalking02 with dissolve
            d "\"Well... It's hard for me to reconcile the way I appear outwardly with the way I think I am inside."
            d "For example, if people say something about me, and I don't agree with it..."
            d "Does that make it true? Or is the way I feel about myself more accurate."
            d "Either way, it's difficult for me to trust my judgement."
            scene cattalking01 with dissolve
            d "So I thought if I remembered my childhood more clearly, I could view myself objectively that way.\""
            d "\"Well...\""
            menu:
                "Can't you take a compliment?":
                    d "\"Can't you take a compliment?\""
                    scene cattalking02 with dissolve
                    d "\"Oh, yes, but it creates a lot of pressure.\""
                    d "\"How come?\""
                    d "\"I think I need to work harder to fulfil people's expectations, because it's hard for me to believe the compliment is based on anything but fluke.\""
                    d "\"Ah.\""
                    
                
                "Can't you take people being mean?":
                    d "\"Can't you take people being mean?\""
                    scene cattalking02 with dissolve
                    d "\"Kind of, but...\""
                    d "\"But?\""
                    scene catscared with dissolve
                    d "\"I shy away from people a lot. If I can't figure out what makes people react negatively to me, I'd rather just leave them alone.\""
                    
            scene cattalking02 with dissolve
            d "\"I always feel like I need to do more,\" {=m}he continued,{/=m} \"to improve the way others see me.\""
            d "\"Why?\""
            scene cattalking01 with dissolve
            d "\"I don't want to let people down.\""
            d "\"Does it matter if you let them down?\" {=m}I asked.{/=m}"
            scene cattalking02 with dissolve
            d "\"I think so.\""
            jump part4
            
        
        "Do you have amnesia or something?":
            d "\"Do you have amnesia or something?\""
            scene cattalking02 with dissolve
            d "\"Haha, no, nothing like that,\" {=m}he chuckled.{/=m}"
            d "\"Then how do you not know who you are?\""
            d "\"Obviously I know the basics."
            scene catfree02 with dissolve
            d "What I would mostly like is to be able to reconcile the differences between the way as was as a child and the way I am now."
            scene cathappy with dissolve
            d "It often feels like I can't recognise my personality from my childhood."
            scene cattalking01 with dissolve
            d "So I hoped to find some middle ground by coming here. Maybe by confirming how little has really changed.\""
            d "\"Oh, I see...\""
            scene cattalking02 with dissolve
            d "\"Do you think things change much?\" {=m}he asked.{/=m}"
            menu:
                "Yes.":
                    d "\"Yes. A lot has changed since I was young, at least.\""
                    d "\"Oh, really?\" {=m}he looked a little sad.{/=m}"
                    d "\"Well, it's not something which can be helped. You can't stop it from happening.\""
                    d "\"True.\""
                    d "\"Even if the world stays the same, people change,\" {=m}I added,{/=m} \"which makes things, uhm, obsolete.\""
                    "He was silent."
                    d "{=m}I finished, {/=m}\"That's alright though. I think who people are is more important than who they were.\""
                    
                    
                    
                "No.":
                    d "\"No, a lot of things are still the same.\""
                    scene cattalking01 with dissolve
                    d "\"Really?\" {=m}he perked up.{/=m}"
                    d "\"Yes. The world moves at a pretty slow pace sometimes.\""
                    d "\"Mmm,\" {=m}he smiled.{/=m}"
                    d "\"So even while people change easily, there are still traces of their past around.\""
                    scene cattalking02 with dissolve
                    d "\"Yes, I hope so.\""
                    
            d "\"Is anything reminding you of your past?\" {=m}I asked.{/=m}"
            d "\"Hmm, a little. But it all seems so distant now."
            scene cattalking01 with dissolve
            d "I wish I could get closer to my past, but I don't think that I can.\""
            d "\"Maybe that's OK though,\" {=m}I ventured,{/=m} \"maybe you would just feel more confused.\""
            scene cattalking02 with dissolve
            d "\"You're probably right. It'd just make me less connected to myself now.\""
            jump part4

label part4:
    "I said I needed a break for a minute."
    scene black with fade
    "I asked him to excuse me, while I went to the shop."
    "Actually, I just went for a walk."
    "I wondered why he was so open."
    menu:
        "Maybe he was confused.":
            "Maybe he's just confused."
            "I supposed that it was understandable."
            "But why did he have to open up to me?"
            jump part6
        
        "Maybe he was lonely.":
            "Maybe he was lonely."
            "I supposed that it was understandable."
            "But why did he have to open up to me?"
            jump part7
    
    
    
    
label part6:
    scene cattalking02 with dissolve
    d "\"So, why are you interested in your past?\" {=m}I asked.{/=m}"
    d "\"I think I am looking for some sort of direction.\""
    d "\"Hmm?\""
    d "\"Or some kind of pattern. I'm worried I'm stuck in a rut.\""
    d "\"Oh...\""
    menu:
        "What sort of rut?":
            d "\"What sort of rut?\""
            scene catcollide with dissolve
            d "\"A careless one. I don't notice where I am until I'm there."
            d "I don't notice how bad things are, until it's too late!\""
            d "\"Surely...\""
            menu:
                "You can realise sooner.":
                    d "\"You can realise sooner when things are getting bad.\""
                    scene cattalking01 with dissolve
                    d "\"Yeah, that's what I hope. If I can recognise some pattern, maybe I can get out of this rut.\""
                    d "\"It's really that simple, huh?\""
                    scene cattalking02 with dissolve
                    d "\"I hope so. Knowing is half the solution, right?\""
                    d "\"And the other half...?\""
                    d "\"I- I'm not sure about that part.\""
                    
                
                "You can fix this problem.":
                    d "\"You can fix whatever the problem is.\""
                    scene cattalking02 with dissolve
                    d "\"I could, if I realised what was up sooner!\""
                    d "\"Haha, of course.\""
                    d "\"Well, maybe it's not as simple as that. It would help, but I'm not sure how much.\""
                    
            d "\"I really should learn to look where I'm going though.\""
            d "\"Is that how you ended up with a cone? By not looking?\" {=m}I asked.{/=m}"
            d "\"Pretty much.\""
            d "\"Do you think you can avoid it happening again?\""
            scene cattalking01 with dissolve
            d "\"That's what I'm trying to figure out...\""
            jump part8       
            
        
        "Why do you think that?":
            d "\"Why do you think that?\""
            scene cattalking01 with dissolve
            d "\"Sometimes I think that I'm not making any progress. That a lot of things which bugged me when I was younger still do.\""
            menu:
                "That's weird.":
                    d "\"That's a little weird.\""
                    scene cattalking02 with dissolve
                    d "\"Yeah...\""
                    d "\"There's no reason you can't get past those things though.\""
                    
                
                "That's OK.":
                    d "\"That's OK. Understandable, at least.\""
                    scene cattalking02 with dissolve
                    d "\"Maybe. Maybe it would be easier to just accept that as part of my personality.\""
                    d "\"If it makes things easier.\""
                    
            d "\"It would be nice if I could feel a change though,\" {=m}he pondered.{/=m}"
            d "\"Will thinking about your past help that?\""
            scene cattalking01 with dissolve
            d "\"Maybe, if I can notice some patterns and force a change.\""
            d "\"Sounds too simple.\""
            d "\"I can hope, can't I?\""
            jump part8
    
    
label part7:
    scene cattalking02 with dissolve
    d "\"So, why are you so fascinated by your past?\" {=m}I asked.{/=m}"
    d "\"I think I wanted to find something... genuine.\""
    d "\"Genuine? How so?\""
    scene cattalking01 with dissolve
    d "\"Well, part of me which other people don't know about.\""
    d "\"Hmm...\""
    menu:
        "I suppose that makes sense":
            d "\"I suppose that makes sense.\" {=m}I agreed.{/=m}"
            scene catscared with dissolve
            d "\"Yes. I'm quite a private cat.\""
            d "\"But...\""
            menu:
                "Do you ever get lonely?":
                    d "\"Do you ever get lonely?\""
                    scene cattalking02 with dissolve
                    d "\"Sometimes. I like keeping some things to myself though.\""
                    d "\"Why?\""
                    d "\"I don't want what other people think about me to become an issue."
                    d "I want to just get on with my life in private, not having to worry about whether it bugs or annoys people."
                    scene cattalking01 with dissolve
                    d "And also, I don't want to feel any pressure to change.\""
                    
                
                "Do you feel like you're lying?":
                    d "\"Do you feel like you're lying to people?\""
                    scene cattalking02 with dissolve
                    d "\"Sometimes. Ah, it's not really lying. I just don't think that it's important that everyone knows everything about me."
                    d "I don't think it will make people like me any better knowing this stuff."
                    d "And I don't want to be described with a 'but...'\""
                    d "\"Hmm?\""
                    scene cattalking01 with dissolve
                    d "\"Oh, how people say stuff like, 'he is a nice person, but...'. That."
                    d "I want to be more than that.\""
                    
                    
            scene catscared with dissolve
            "I thought that he seemed a little stressed out talking about things, so I didn't push it any further."
            "I wondered if it was really good for him to keep so many things secret."
            "I don't know of anything that is so terrible it should be kept secret from everyone.\""
                    
        
        "Why be so secretive?":
            d "\"Why do you have to be so secretive?\" {=m}I asked.{/=m}"
            scene cattalking02 with dissolve
            d "\"Well, I worry that people won't accept certain things about me."
            scene cattalking01 with dissolve
            d "And because I keep things secret, I know they won't accept them.\""
            d "\"How come?\""
            scene cattalking02 with dissolve
            d "\"I get exposed to people's prejudices, because I keep a lot of things private."
            d "I mean, it's not their fault. They don't realise. I don't blame them.\""
            d "\"Do you think...\""
            menu:
                "...maybe you should give them a chance?":
                    d "\"...maybe you should give them a chance?\""
                    scene catscared with dissolve
                    d "\"Maybe, but I don't want to embarrass people by confronting them.\""
                    d "\"Why would that be embarrassing?\""
                    d "\"Because, at least, I know I hate making faux pas like that.\""
                    
                    
                
                "...people can't change?":
                    d "\"...people can't change?\""
                    scene cattalking01 with dissolve
                    d "\"Maybe. I don't want them to have to change for me, at least. It doesn't seem fair to me.\""
                    d "\"Aren't you changing for them though, by not being honest?\""
                    d "\"I suppose. It's my choice though.\""
                    
            d "\"Maybe you could change people's minds if you were more open,\" {=m}I suggested.{/=m}"
            scene cattalking02 with dissolve
            d "\"Maybe. I don't really set out to do that though. I would rather be left in peace.\""
            d "\"But is it really peaceful if you feel this way?\""
            d "\"It's easier, and I don't risk alienating people.\""
            d "\"Are you sure that's the reason?\""
            d "\"What?\""
            d "\"You're not just too scared?\""
            scene cattalking01 with dissolve
            d "\"That too, I suppose.\""
            d "\"You don't have to be.\" {=m}He didn't seem convinced.{/=m}"
            jump part8
            
label part8:
    scene black with fade
    "I talked with him a little more, about nothing important."
    scene catexit01 with dissolve
    "After a while, he had to leave."
    scene catexit02 with dissolve
    "I wonder if he is OK."
    scene black with dissolve
    "I wonder if small meetings like this make any difference."
    "Or is it too simplistic to think that small incidents can make any difference a person?"
    menu:
        "Of course they do.":
            "Of course they can. Every little thing counts, whether it's positive or negative."
            "I hope I helped him."
            "I'm sure I did, a little."
        
        "Probably not.":
            "They probably don't. It takes a general shift in trends to make any difference."
            "I doubt I helped him."
            "It's up to him to change himself, after all."
            
    
                    
                    
label end:
    $ renpy.pause(0)
    scene black
    with dissolve

    show end
    with dissolve
    with Pause(2.0)

    scene black
    with dissolve
    with Pause(1.0)

    return
